Skip to main content
POST
Update Finding Assignee

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

finding_id
string
required

The ID of the finding to assign.

Body

application/json

The UpdateFindingAssigneeRequest message.

assigneeIdentityUserId
string

The identity user to assign. Empty clears the assignment.

Response

200 - application/json

Successful response

The UpdateFindingAssigneeResponse message.

finding
Finding · object | null

The Finding message.

This message contains a oneof named finding_type. Only a single field of the following list may be set at a time:

  • similarUsernameMatch
  • serviceAccountMisclassification
  • nhiUnowned
  • serviceAccountUnowned
  • decoyCredentialUsed
  • custom
  • connectorAnomalyDetectionDisabled
  • deactivatedOwner
  • unusedSecret
  • credentialPubliclyExposed
  • decoyPubliclyExposed
  • credentialExpiring
  • connectorSyncFailing
  • shadowMcp

This message contains a oneof named target. Only a single field of the following list may be set at a time:

  • identityUserTarget
  • appUserTarget
  • decoyTarget
  • appResourceTarget
  • tenantTarget
  • connectorTarget

This message contains a oneof named evidence. Only a single field of the following list may be set at a time:

  • similarUsernameMatchEvidence
  • serviceAccountMisclassificationEvidence
  • deactivatedOwnerEvidence
  • unusedSecretEvidence
  • credentialPubliclyExposedEvidence
  • decoyPubliclyExposedEvidence
  • credentialExpiringEvidence
  • connectorSyncFailingEvidence
  • shadowMcpEvidence